# UAE TRN Verification

The UAE TRN Verification API allows users to verify the Tax Registration Number (TRN) of businesses registered for VAT in the UAE.

### Submit Document

#### uae\_trn

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/uae_trn`

**Post parameters description is given below**

| Post Parameter | Type   | Is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| `trn_number`   | String | Yes          | TRN number  |

**Sample Post Parameters**

```json
{
  "trn_number": "100529144600008"
}
```

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b8606981-43f8-4c30-8e14-4af3c493cb87",
  "status": "completed",
  "result": {
    "trnNumber": "100529144600008",
    "legalName": "Square General Transport L.L.C",
    "legalNameList": [
      "Square General Transport L.L.C",
      "Square General Precast L.L.C.",
      "Square General Contracting Company - L L C"
    ],
    "trnStatus": true
  },
  "requested_at": "2026-01-27T09:29:31.470Z",
  "completed_at": "2026-01-27T09:29:37.106Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
  "status": "in_progress",
  "requested_at": "2026-01-27T09:35:53.893Z"
}
```

**400: Validation Error Response**

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "TRN should not be empty",
    "field": "trn_number",
    "code": "BAD_REQUEST"
  }
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
  "status": "failed",
  "error": {
    "message": "Invalid ID Number.",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T09:35:53.893Z",
  "completed_at": "2026-01-27T09:35:59.831Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/uae_trn`

**Query parameters description is given below**

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b8606981-43f8-4c30-8e14-4af3c493cb87",
  "status": "completed",
  "result": {
    "trnNumber": "100529144600008",
    "legalName": "Square General Transport L.L.C",
    "legalNameList": [
      "Square General Transport L.L.C",
      "Square General Precast L.L.C.",
      "Square General Contracting Company - L L C"
    ],
    "trnStatus": true
  },
  "requested_at": "2026-01-27T09:29:31.470Z",
  "completed_at": "2026-01-27T09:29:37.106Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
  "status": "in_progress",
  "requested_at": "2026-01-27T09:35:53.893Z"
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
  "status": "failed",
  "error": {
    "message": "Invalid ID Number.",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T09:35:53.893Z",
  "completed_at": "2026-01-27T09:35:59.831Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/uae-trn-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
